%define debug_package	%{nil}

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%name
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%name-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%name-%version
%endif
%endif

Summary:	'Ugly' plugins for the Elisa media center
Name:		elisa-plugins-ugly
Version:	0.5.37
Release:	%{release}
# For SVN:
# svn co https://code.fluendo.com/elisa/svn/trunk elisa
Source0:	http://elisa.fluendo.com/static/download/elisa/%{distname}
# From https://elisa.fluendo.com/quality/review/request/%3C20081106174059.32406.qmail@kantoor2.datux.nl%3E
# Repeat signal detection for LIRC plugin - AdamW 2008/11
Patch0:		elisa-plugins-ugly-0.5.19-lirc_repeat.patch
License:	GPLv3 and MIT
Group:		Development/Python
URL:		http://elisa.fluendo.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	elisa-core >= %{version}
Requires:	elisa-plugins-good >= %{version}
Suggests:	twill
# For LIRC input support
Suggests:	python-lirc

%description
Elisa is a project to create an open source cross platform media center 
solution. This package contains 'ugly' plugins for Elisa.

%prep
%setup -q -n %{dirname}
%patch0 -p1 -b .repeat

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2
# already in -good
rm -f %{buildroot}%{py_puresitedir}/elisa/plugins/__init__*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth



%changelog
* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.37-1mdv2010.0
+ Revision: 370367
- update to new version 0.5.37

* Mon Apr 13 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.35-1mdv2009.1
+ Revision: 366829
- new release 0.5.35

* Tue Mar 17 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.32-1mdv2009.1
+ Revision: 356632
- new release 0.5.32

* Sun Mar 08 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.30-1mdv2009.1
+ Revision: 352936
- Upgrade to 0.5.30

* Tue Feb 17 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.28-1mdv2009.1
+ Revision: 341177
- new release 0.5.28

* Sat Feb 14 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.27-1mdv2009.1
+ Revision: 340305
- new release 0.5.27

* Mon Feb 09 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.25-1mdv2009.1
+ Revision: 338925
- new release 0.5.25

* Fri Jan 16 2009 Adam Williamson <awilliamson@mandriva.org> 0.5.23-1mdv2009.1
+ Revision: 330359
- new release 0.5.23

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.22-1mdv2009.1
+ Revision: 318766
- new release 0.5.22

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Dec 10 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.21-1mdv2009.1
+ Revision: 312382
- new release 0.5.21

* Mon Dec 01 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.20-1mdv2009.1
+ Revision: 308914
- new release 0.5.20

* Tue Nov 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.19-1mdv2009.1
+ Revision: 306704
- add lirc_repeat.patch: from upstream merge requests, adds repeat detection
  for remote controls
- new release 0.5.19

* Tue Nov 18 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.18-1mdv2009.1
+ Revision: 304133
- new release 0.5.18

* Tue Nov 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.17-1mdv2009.1
+ Revision: 299913
- new release 0.5.17

* Wed Oct 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.16-1mdv2009.1
+ Revision: 298126
- new release 0.5.16

* Tue Oct 21 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.15-1mdv2009.1
+ Revision: 296264
- new release 0.5.15

* Wed Oct 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.14-1mdv2009.1
+ Revision: 293848
- new release 0.5.14

* Sat Oct 11 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.13-1mdv2009.1
+ Revision: 291726
- new release 0.5.13

* Tue Sep 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.12-1mdv2009.0
+ Revision: 289978
- new release 0.5.12

* Thu Sep 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.11-1mdv2009.0
+ Revision: 288051
- new release 0.5.11

* Tue Sep 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.9-1mdv2009.0
+ Revision: 283260
- suggests python-lirc (the lirc plugin is in this package, not good or bad)
- new release 0.5.9

* Thu Sep 04 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.8-1mdv2009.0
+ Revision: 280895
- new release 0.5.8

* Tue Aug 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.7-1mdv2009.0
+ Revision: 276058
- new release 0.5.7

* Wed Aug 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.5-1mdv2009.0
+ Revision: 271615
- new release 0.5.5

* Wed Jul 30 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.3-1mdv2009.0
+ Revision: 255525
- new release 0.5.3

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-2mdv2009.0
+ Revision: 195042
- suggests twill

* Wed Apr 16 2008 Adam Williamson <awilliamson@mandriva.org> 0.3.4-1mdv2009.0
+ Revision: 194711
- import elisa-plugins-ugly


